openjpa-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste BRIAUD -- Novlog <j-b.bri...@novlog.com>
Subject Re: ClassFormatError when using Enhancement Builder
Date Wed, 19 May 2010 14:55:18 GMT
... and for example, Eclipse doesn't compile using JDK but using API to javac that it embed
so check your project's settings and ensure it is Java 6.

On 19 mai 2010, at 16:49, C N Davies wrote:

> Some of the Eclipse bundles come with jre and jdk buried in some local
> directories, I have some under
> c:\user\local\chris\eclipse\blah\blah\com.sun\jre...... on my Win 7 machine.
> 
> Have you specifically pointed your build file at JDK you are expecting it to
> use or are you replying on it finding the only one you believe is installed.
> 
> Sorry to harp on this point but it's a pretty specific error message.
> 
> Chris
> 
> -----Original Message-----
> From: stlecho [mailto:stlecho@gmail.com] 
> Sent: Thursday, 20 May 2010 12:28 AM
> To: users@openjpa.apache.org
> Subject: RE: ClassFormatError when using Enhancement Builder
> 
> 
> I've checked on a couple of my classes and the result is always "50 . 0".
> This is no surprise because the only JDK I've installed in Eclipse is the
> 1.6 JDK. Do you have any further suggestions ?
> -- 
> View this message in context:
> http://openjpa.208410.n2.nabble.com/ClassFormatError-when-using-Enhancement-
> Builder-tp5074201p5075108.html
> Sent from the OpenJPA Users mailing list archive at Nabble.com.
> 


Mime
View raw message